Bug 821732 - Review Request: scantailor - an interactive post-processing tool for scanned pages.
Review Request: scantailor - an interactive post-processing tool for scanned ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:18 EDT by Jan Horak
Modified: 2012-08-09 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Horak 2012-05-15 09:18:19 EDT
Spec URL: http://xhorak.fedorapeople.org/scantailor.spec
SRPM URL: http://xhorak.fedorapeople.org/scantailor-0.9.11-1.fc16.src.rpm
Description: 
Scan Tailor is an interactive post-processing tool for scanned pages.
It performs operations such as page splitting, deskewing, adding/removing
borders, and others. You give it raw scans, and you get pages ready to be
printed or assembled into a PDF or DJVU file. Scanning, optical character
recognition, and assembling multi-page documents are out of scope of this
project.

NOTE: this is actually recover of retired package. I was the maintainer before. I'm just following procedure from: https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers
This package works just fine on f15 (see http://koji.fedoraproject.org/koji/buildinfo?buildID=302121 ) so review shouldn't be much complicated.
Comment 1 Michael Scherer 2012-05-20 18:54:33 EDT
A few notes :
- BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

no longer needed since some time, so it should be removed
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

- that's the same for 
rm -rf $RPM_BUILD_ROOT
in %install and the %clean.

As that's always the same but, now rpm does it by default.

- I think that the license tag should reflect the diversity of license on the icons. ( ie, some are LGPL, some are GPLv2+, etc ).
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

- %{__cp} and %{__mv} are not needed, using mv and cp is recommended.
https://fedoraproject.org/wiki/Packaging:Guidelines#Macros

Except that, the package seems good to go, let me start the review
Comment 2 Michael Scherer 2012-05-20 19:07:44 EDT
It seems also there is some copy of the header of google breakpad. Not sure if this is used, and if this qualify as bundling. it seems to be only for windows, maybe you have more information on this ?
Comment 3 Jan Horak 2012-05-21 11:13:29 EDT
Thanks for the review, fixed packages are on same locations:
Spec URL: http://xhorak.fedorapeople.org/scantailor.spec
SRPM URL: http://xhorak.fedorapeople.org/scantailor-0.9.11-1.fc16.src.rpm

(In reply to comment #2)
> It seems also there is some copy of the header of google breakpad. Not sure
> if this is used, and if this qualify as bundling. it seems to be only for
> windows, maybe you have more information on this ?
Crash reporter (google breakpad) is only available for MSVC (ie. Windows), so there shouldn't be problem with it.
Comment 4 Michael Scherer 2012-05-21 12:44:38 EDT
Forgot to add :

- %defattr(-,root,root,-)

is no longer needed either. ( done by default on all supported fedora, and epel, except epel 5 ).


- Fedora-review complain that :
cp resources/appicon.svg \
        ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps/scantailor.svg

do not preserve timestamp. so using -p is recommended.
https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps


Otherwise, seems good, let me just finis and try to install and run it to send the review.
Comment 5 Michael Scherer 2012-05-21 12:51:10 EDT
The srpms do not correspond to the spec ( who is on 0.9.11.1 ).
Comment 6 Michael Scherer 2012-05-21 12:53:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "*No copyright* GENERATED FILE", "BSD (2
     clause)", "GPL (v3 or later) GENERATED FILE", "BSD (3 clause)", "GPL (v3
     or later)", "UNKNOWN", "BSD (3 clause) GENERATED FILE" For detailed
     output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/src/821732/licensecheck.txt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Check did not complete
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

Rpmlint
-------
Checking: scantailor-0.9.11-1.fc18.src.rpm
          scantailor-debuginfo-0.9.11-1.fc18.i686.rpm
          scantailor-0.9.11-1.fc18.i686.rpm
scantailor.src: W: spelling-error %description -l en_US deskewing -> deskilling
scantailor.src: W: spelling-error %description -l en_US multi -> mulch, mufti
scantailor.i686: W: spelling-error %description -l en_US deskewing -> deskilling
scantailor.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
scantailor.i686: W: incoherent-version-in-changelog 0.9.9.11-1 ['0.9.11-1.fc18', '0.9.11-1']
scantailor.i686: W: no-manual-page-for-binary scantailor
scantailor.i686: W: no-manual-page-for-binary scantailor-cli
3 packages and 0 specfiles checked; 0 errors, 7 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
/var/lib/mock/fedora-rawhide-i386/result/scantailor-0.9.11-1.fc18.i686.rpm:
    /bin/sh  
    /bin/sh  
    /bin/sh  
    libQtCore.so.4  
    libQtGui.so.4  
    libQtXml.so.4  
    libXrender.so.1  
    libc.so.6  
    libc.so.6(GLIBC_2.0)  
    libc.so.6(GLIBC_2.1.3)  
    libgcc_s.so.1  
    libgcc_s.so.1(GCC_3.0)  
    libgcc_s.so.1(GLIBC_2.0)  
    libjpeg.so.62  
    libjpeg.so.62(LIBJPEG_6.2)  
    libm.so.6  
    libm.so.6(GLIBC_2.15)  
    libpng15.so.15  
    libpng15.so.15(PNG15_0)  
    libpthread.so.0  
    libpthread.so.0(GLIBC_2.0)  
    libstdc++.so.6  
    libstdc++.so.6(CXXABI_1.3)  
    libstdc++.so.6(GLIBCXX_3.4)  
    libstdc++.so.6(GLIBCXX_3.4.15)  
    libstdc++.so.6(GLIBCXX_3.4.9)  
    libtiff.so.3  
    libz.so.1  
    rtld(GNU_HASH)  
    
/var/lib/mock/fedora-rawhide-i386/result/scantailor-debuginfo-0.9.11-1.fc18.i686.rpm:
    
Provides
--------
/var/lib/mock/fedora-rawhide-i386/result/scantailor-0.9.11-1.fc18.i686.rpm:
    scantailor = 0.9.11-1.fc18
    scantailor(x86-32) = 0.9.11-1.fc18
    
/var/lib/mock/fedora-rawhide-i386/result/scantailor-debuginfo-0.9.11-1.fc18.i686.rpm:
    scantailor-debuginfo = 0.9.11-1.fc18
    scantailor-debuginfo(x86-32) = 0.9.11-1.fc18
    
MD5-sum check
-------------
/home/misc/checkout/git/FedoraReview/src/821732/scantailor-0.9.11.1.tar.gz :
  MD5SUM this package     : ERROR
  MD5SUM upstream package : 6cdca1b6d1dafd022ea94b4800dad340


Generated by fedora-review 0.2.0git
External plugins:

So once the previous remark are fixed, i can finish the review.
Comment 7 Jan Horak 2012-05-23 03:28:33 EDT
Oh! I'm sorry about it, wrong copy&paste.
http://xhorak.fedorapeople.org/scantailor-0.9.11.1-1.fc16.src.rpm
http://xhorak.fedorapeople.org/scantailor.spec
I hope it's fixed  now.
Comment 8 Michael Scherer 2012-05-24 07:13:20 EDT
Ok, the various point have been fixed, i checked the md5sum of package. 

The package is good to go.
Comment 9 Jan Horak 2012-05-24 07:30:59 EDT
New Package SCM Request
=======================
Package Name: scantailor
Short Description: Scan Tailor is an interactive post-processing tool for scanned pages.
Owners: xhorak
Branches: f16 f17 master
InitialCC:
Comment 10 Gwyn Ciesla 2012-05-24 10:52:53 EDT
Unretired devel and f15, please take ownership and submit a change SCM
request for f17 and f16 branches.
Comment 11 Jan Horak 2012-05-25 14:56:53 EDT
Package Change Request
======================
Package Name: scantailor
New Branches: f16 f17
Owners: xhorak
InitialCC: 

(In reply to comment #10)
> Unretired devel and f15, please take ownership and submit a change SCM
> request for f17 and f16 branches.
Ownership reclaimed. Thanks for letting me know.
Comment 12 Michael Scherer 2012-07-20 04:54:24 EDT
Jan, I think you need to set the flag fedora-cvs to ?, if you want to trigger the script.
Comment 13 Jan Horak 2012-07-20 06:48:18 EDT
(In reply to comment #12)
> Jan, I think you need to set the flag fedora-cvs to ?, if you want to
> trigger the script.

Oh, thanks.
Comment 14 Gwyn Ciesla 2012-07-20 08:27:58 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2012-07-31 10:55:30 EDT
scantailor-0.9.11.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/scantailor-0.9.11.1-1.fc16
Comment 16 Fedora Update System 2012-07-31 10:55:41 EDT
scantailor-0.9.11.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/scantailor-0.9.11.1-1.fc17
Comment 17 Fedora Update System 2012-08-01 14:18:19 EDT
Package scantailor-0.9.11.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scantailor-0.9.11.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11308/scantailor-0.9.11.1-1.fc16
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2012-08-09 19:14:09 EDT
scantailor-0.9.11.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2012-08-09 19:25:38 EDT
scantailor-0.9.11.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.